org.keycloak.broker.oidc

## Class AbstractOAuth2IdentityProvider.Endpoint

- java.lang.Object
- - org.keycloak.broker.oidc.AbstractOAuth2IdentityProvider.Endpoint

- Direct Known Subclasses:
    OIDCIdentityProvider.OIDCEndpoint
  Enclosing class:
    AbstractOAuth2IdentityProvider<C extends OAuth2IdentityProviderConfig>

      protected class AbstractOAuth2IdentityProvider.Endpoint
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected IdentityProvider.AuthenticationCallback` | `callback`
    `protected ClientConnection` | `clientConnection`
    `protected EventBuilder` | `event`
    `protected javax.ws.rs.core.HttpHeaders` | `headers`
    `protected RealmModel` | `realm`
    `protected KeycloakSession` | `session`
    `protected javax.ws.rs.core.UriInfo` | `uriInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Endpoint(IdentityProvider.AuthenticationCallback callback, RealmModel realm, EventBuilder event)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `authResponse(String state, String authorizationCode, String error)`
    `SimpleHttp` | `generateTokenRequest(String authorizationCode)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### callback

          protected IdentityProvider.AuthenticationCallback callback

    - #### realm

          protected RealmModel realm

    - #### event

          protected EventBuilder event

    - #### session

          @Context
          protected KeycloakSession session

    - #### clientConnection

          @Context
          protected ClientConnection clientConnection

    - #### headers

          @Context
          protected javax.ws.rs.core.HttpHeaders headers

    - #### uriInfo

          @Context
          protected javax.ws.rs.core.UriInfo uriInfo

  - ### Constructor Detail

    - #### Endpoint

          public Endpoint(IdentityProvider.AuthenticationCallback callback,
                          RealmModel realm,
                          EventBuilder event)

  - ### Method Detail

    - #### authResponse

          @GET
          public javax.ws.rs.core.Response authResponse(@QueryParam(value="state")
                                                             String state,
                                                             @QueryParam(value="code")
                                                             String authorizationCode,
                                                             @QueryParam(value="error")
                                                             String error)

    - #### generateTokenRequest

          public SimpleHttp generateTokenRequest(String authorizationCode)

Copyright © 2016 JBoss by Red Hat. All rights reserved.